# Beispiel "Betonstahlmatten" (Konfdenzgrenze fuer Sigma)
#3. Anzahl Zeichen pro Zeile
op=options(width=45)
#4. Zahlenmaterial
(x = c(718,684,646,638,622,597,669,661,646,715,
727,645,647,671,632,728,699,709,684,713,
698,614,580,647,634,637,702,649,721,643))
(alpha = 0.05)
#5. Gesuchte Groessen
(Begriff = c("estimate","2-side lower","2-side upper","1-side upper") )
(Quantil = c(NA, 1-alpha/2, alpha/2, alpha) )
#6. Rechnung
(n = length(x))
(std = sqrt(var(x)))
(Wert = std * sqrt( (n-1)/qchisq(Quantil,n-1) ) )
(Wert[1] = std )
#7. Rundung
(Wert = round(Wert, dig=2) )
#8. Ergebnisausgabe, Zurcksetzen
(Box1 = data.frame(Begriff, Wert) )
options(op)
