# Massenprodukte (Qualitaetskontrolle) 1
#1. Daten
n=5
mu0=10
sigma=0.1
alpha=0.01
x1=c(9.91,10.00,10.05,10.10,10.01)
x2=c(10.18,9.97,10.00,10.05,10.06)
x3=c(9.80,9.80,9.92,10.03,9.80)
#2. Methode p-Wert
mw=c(mean(x1),mean(x2),mean(x3))
TS=(mw-mu0)*sqrt(n)/sigma
p=2-2*pnorm(abs(TS),0,1)
(data.frame(sample=c(1:3),mw,p))
#3. Methode Annahmegrenzen
d=qnorm(1-alpha/2)*sigma/sqrt(n)
LCL=mu0-d
UCL=mu0+d
(data.frame(alpha,LCL,UCL))
