# Alternative zu Kontrollkarte, Subgrouped data
#1. Eingabedaten, data with p = 1 variable, m = 3 samples, n = 5 sample size:
x=c(9.91,10,10.05,10.1,10.01,10.18,9.97,10,10.05,10.06,9.8,9.8,9.92,10.03,9.80)
sample=c(rep(1:3,each=5))
Box1 = data.frame(x,sample)
library(qcc)
Box2 = qcc.groups(Box1$x,Box1$sample)
#2. Annahmegrenzen (Limits)
n=5
CL=10
sigma=0.1
alpha=0.01
d=qnorm(1-alpha/2)*sigma/sqrt(n)
(Box3 = round(c(CL-d,CL+d),dig=3))
#3. Kontrollkarte
qcc(Box2,type="xbar",
center=CL,limits=Box3)
#4. Zitierung
citation("qcc")
