# Bsp. "Fitness" im Sport (Ausreisser) (Wirtz und Nachtigall 2002, Seite 178)
# Bemerkung: Obs. 11 ist kuenstlich hinzugefuegt, in Box3 wieder entfernt.
#1. Datenerfassung
x1 = c(87,73,66,62,68,92,60,70,71,64,83)
x2 = c(42,43,44,54,45,46,50,46,54,47,36)
y  = c( 1, 6, 7,15,12, 4,12,13,14,10,13)
#2. Datentabelle mit und ohne Ausreisser
Box1 = data.frame(x1,x2,y)
Box2 = subset(Box1, x2>40)
#3. Lineare Modelle
Fit1 = lm(y ~ (.), data = Box1)
Fit2 = lm(y ~ (.), data = Box2)
#4. Regression mit Ausreisser
(Box3 = summary(Fit1))
#5. Regression ohne Ausreisser
(Box4 = summary(Fit2))
#6. Residualanalysen mit und ohne Ausreisser
par(mfrow = c(2,2))
plot(Fit1)
par(mfrow = c(2,2))
plot(Fit2)
#7. Cook'sche Distanzen mit und ohne Ausreisser
par(mfrow=c(1,1))
plot(cooks.distance(Fit1))
par(mfrow=c(1,1))
plot(cooks.distance(Fit2))
