# Pflanzenwachstum  (aus dem Internet: Universitaet Bonn)
#1. Einlesen der Daten (y=Groesse, t=Zeit)
t=c(  0,    21,    28,    35,    42,    49,    56,
63,    70,    77,    84,    91,    98,   105)
y=c(  0.00,  8.25, 27.33, 41.59, 56.04, 76.92, 87.92,
97.88,116.08,135.33,141.17,142.75,143.08,143.17)
Box1 = data.frame(t,y)
#2. Die typischen 3 Schritte der nichtlinearen Regression
Fun = function(t,A,C,a) (A*C)/(A+(C-A)*exp(-a*t))
Ini = list(A=140,C=10,a=0.01)
Fit = nls(y ~ Fun(t,A,C,a),data=Box1,start=Ini)
#3. Grafik
plot(t,predict(Fit),type='l')
points(t,y)
#4. Die Ergebnisse der Regressionsanalyse
summary(Fit)
