# Windgeschwindigkeit ueber dem Erdboden (Lettau und Davidson, Dufner)
#1 Einlesen der Daten (y=Windgeschwindigkeit, x=Hoehe)
x=c( 40,   80,  160,  320,  640  )
y=c(490.2,585.3,673.7,759.2,837.5)
Box1=data.frame(x,y)
#2. Die typischen 3 Schritte der nichtlinearen Regression
Fun = function(x,a,b,c) a*log(b*x+c)
Ini = list(a=120,b=2,c=1)
Fit = nls(y ~ Fun(x,a,b,c),data=Box1,start=Ini)
#3. Grafik
plot(x,predict(Fit),type='l')
points(x,y)
#4. Die Ergebnisse der Regressionsanalyse
summary(Fit)
