# Bsp. Griechisch-Lateinisches Quadrat: Treibstoff-Herstellung
#1. Dateneingabe (4 Zeilen, 25 Spalten, Box1)
y = c(-1,-8,-7, 1,-3, -5,-1,13, 6 ,5,
-6, 5, 1, 1,-5, -1, 2, 2,-2, 4,
-1,11,-4,-3, 7)
L = c(1,2,3,4,5, 2,3,4,5,1, 3,4,5,1,2,
4,5,1,2,3, 5,1,2,3,4)
Z = gl(5,5,label=1:5)
S = rep(1:5,5)
G = c(1,2,3,4,5, 3,4,5,1,2, 5,1,2,3,4,
2,3,4,5,1, 4,5,1,2,3)
Box1 = data.frame(y,L,Z,S,G)
#2. Sprechende Spaltennamen statt L,S,Z,G
Box2 = Box1
names(Box2) = c("y","Rezeptur","Bediener","Material","Anordnung")
#3. Auswertung mit 2 Blockvariablen
Fit3 = aov(y~factor(Rezeptur)+factor(Bediener)
+factor(Material)+factor(Anordnung),data=Box2)
(Box3 = summary(Fit3))
#4. Auswertung ohne Blockvariable
Fit4 = aov(y~factor(Rezeptur),data=Box2)
(Box4 = summary(Fit4))
