# Erzeugung von Aliases
#0. Vorbereitung fuer rsm und FrF2
W=function(...,n0=0,rand=F){data.frame(cube(n0=n0,rand=rand,...))[,-c(1,2)]}
library(rsm)
library(FrF2)
#1. 2**(5-1)-Designs
Box1=W(~A+B+C+D,E~A*B*C*D)
y = c(1:16)
(Box1a=aliases(lm(y~(.)^3,
data=data.frame(Box1,y))))
Box1aa=aliases(lm(y~(.)^4,
data=data.frame(Box1,y)))
#2. 2**(7-4)-Designs
Box2=W(~A+B+C,
generators=c(D~A*B,E~A*C,F~B*C,G~A*B*C) )
y = c(1:8)
(Box2a=aliases(lm(y~(.)^3,data=data.frame(Box2,y))))
Box2aa=aliases(lm(y~(.)^4,
data=data.frame(Box2,y)))
#3. 2**(8-4)-Designs
Box3=W(~ A+B+C+D,
generators=c(E~B*C*D,F~A*C*D,G~A*B*C,H~A*B*D))
y = c(1:16)
(Box3a=aliases(lm(y~(.)^3,data=data.frame(Box3,y))))
Box3aa=aliases(lm(y~(.)^4,
data=data.frame(Box3,y)))
#4. 2**(6-1)-Designs
Box4=W(~A+B+C+D+E,
F~A*B*C*D*E)
y = c(1:32)
(Box4a=aliases(lm(y~(.)^3,
data=data.frame(Box4,y))))
Box4aa=aliases(lm(y~(.)^4,
data=data.frame(Box4,y)))
