# Das Bicycle-Experiment (2**(7-4) = 8)
#1 Daten mit rsm
# Versuchsplan und Messwerte (Fahrzeit)
W=function(...,n0=0,rand=F){data.frame(cube(n0=n0,rand=rand,...))[,-c(1,2)]}
library(rsm)
Box1=W(~A+B+C,c(D~A*B,E~A*C,F~B*C,G~A*B*C))
y = c(69,52,60,83,71,50,59,88)
Box1$y=y
#2 Klartext-Namen
Box2=Box1
names(Box2) = c("Sattel","Dynamo","Lenker","Gang",
"Umhang","Mahlzeit","Reifen","y")
Box2
#3 Lineares Modell, alle Haupteffekte
Fit = lm(y ~ (.), data = Box2)
(Box3=summary(Fit))
#4 Lade Paket FrF2 fuer weitere Auswertungen
library(FrF2)
#5 Grafische Auswertungen
MEPlot(Fit)
DanielPlot(Fit,code=TRUE,alpha=0.5,half=TRUE)
#6 Alternative zu Box1 mit FrF2
Box4 = data.frame(FrF2(8,7,randomize=FALSE))
Box4$y=y
#7 Aliases
(Box5=aliases(lm(y ~ (.)^4, data = Box1)))
