# Zerlegung eines 2**3-Designs in 2,4,8 Bloecke mit R-package rsm
#1. Zerlegung k=4, p=1, 2 Blocks, Block Size = 8
W=function(...,n0=0,rand=F){data.frame(cube(n0=n0,rand=rand,...))[,-c(1,2)]}
library(rsm)
Box1a = W( ~ A+B+C+D,blockgen = "A*B*C*D",bid=1)
Box1b = W( ~ A+B+C+D,blockgen = "A*B*C*D",bid=2)
#2. Zerlegung k=4, p=2, 4 Blocks, Block Size = 4
Box2a = W( ~ A+B+C+D,blockgen = c("A*B*C","A*C*D"),bid=1)
Box2b = W( ~ A+B+C+D,blockgen = c("A*B*C","A*C*D"),bid=2)
Box2c = W( ~ A+B+C+D,blockgen = c("A*B*C","A*C*D"),bid=3)
Box2d = W( ~ A+B+C+D,blockgen = c("A*B*C","A*C*D"),bid=4)
#3. Zerlegung k=4, p=3, 8 Blocks, Block Size = 2
Box3a = W( ~ A+B+C+D,blockgen = c("A*B","B*C","C*D"),bid=1)
Box3b = W( ~ A+B+C+D,blockgen = c("A*B","B*C","C*D"),bid=2)
Box3c = W( ~ A+B+C+D,blockgen = c("A*B","B*C","C*D"),bid=3)
Box3d = W( ~ A+B+C+D,blockgen = c("A*B","B*C","C*D"),bid=4)
Box3e = W( ~ A+B+C+D,blockgen = c("A*B","B*C","C*D"),bid=5)
Box3f = W( ~ A+B+C+D,blockgen = c("A*B","B*C","C*D"),bid=6)
Box3g = W( ~ A+B+C+D,blockgen = c("A*B","B*C","C*D"),bid=7)
Box3h = W( ~ A+B+C+D,blockgen = c("A*B","B*C","C*D"),bid=8)
