# Bsp. "2d-Berg"
#1. Einlesen der Daten
Time=c(rep(80,ti=2),rep(90,ti=2),rep(85,ti=6),92.07,77.93,rep(85,ti=2))
Temp=c(rep(c(170,180),ti=2),rep(175,ti=8),182.07,167.93)
Block=c(rep("B1",ti=7),rep("B2",ti=7))
Yield=c(80.5,81.5,82.0,83.5,83.9,84.3,84.0,79.7,79.8,79.5,78.4,75.6,78.5,77.0)
Box1=data.frame(Time,Temp,Block,Yield)
#2. Kodierung der Daten
library(rsm)
(Box2=coded.data(Box1,
x1~(Time-85)/5,
x2~(Temp-175)/5))
Box3=data.frame(Box2)
#3. Die rsm-Funktionen FO, TWI, PQ, SO
#4. Auswertung Phase1
Box4=subset(Box2,Block=="B1")
Fit1=rsm(Yield~FO(x1,x2),data=Box4)
(Box5=summary(Fit1))
#5. Auswertung Phase 2
Fit2=update(Fit1,.~.+TWI(x1,x2))
(Box6=summary(Fit2))
#6. Auswertung Phase 3
Fit3=rsm(Yield~Block+SO(x1,x2),data=Box2)
(Box7=summary(Fit3))
#7. Merke: Weitere spezielle Anweisungen im package rsm
Box8=decode.data(Box2)
Box9=as.coded.data(Box2)
Box10=ChemReact
(Box11=code2val(c(x1=.5,x2=-1),codings=codings(Box2)))
