/* Tabelle 265 Quantile der Normalverteilung */
options ls=200;
proc printto file='S_21-.lst' new;
%let m=5;
data quantil(keep=text x1-x&m);
  length text $ 20;
  array p(&m) _temporary_ (0.9,0.95,0.975,0.99,0.995);
  array x(&m) x1-x&m;
  format x1-x&m 8.4;
  do i=1 to &m; x(i)=p(i); end; text='p:'; output;
  do;
    text='Quantil:';
    do i=1 to &m; x(i)=probit(p(i)); end;
    output;
  end;
run;
proc print data=quantil noobs ;
run;
