/* Student-Verteilung n=1, 2, 7, 100 */

filename ff1 'S_28-.jpg';
goptions device=jpeg gsfname=ff1;
goptions colors=(black);
title;

data d1(keep=x n dichte) anno(keep=xi y s p f text xsys ysys style);
do n = 1,2,7,100;
  do x=-4 to 4 by 0.1;
    dichte=gamma((n+1)/2)/(sqrt(3.1415926*n)*gamma(n/2)
                            *(1+x**2/n)**((n+1)/2)  );
    output d1;
/*
Vorbild, spter lschen:
s=2; p='C'; f='label'; style='swiss';
       if n<=2 then do;
          text='n='!!left(put(n,1.))!!', q='!!put(quantil,5.4);  output anno;
       end;
*/
    if abs(x-0.5) < 0.01 then do;
      xsys='2'; ysys='2'; xi=x; y=dichte; f='move '; output anno;
      xi=x+1.0; y=dichte+0.02*(1+n/100);  f='draw '; s=1; output anno;
      s=2; p='C'; f='label'; style='swiss'; text=' n='!!left(put(n,3.)); output anno;
end; end; end;
proc gplot data=d1
  annotate=anno(rename=(f=function p=position s=size xi=x));
  plot dichte*x=n/vaxis=axis1 haxis=axis2 nolegend;
axis1 label=none
      /*label=(height=2  font=zapf "f(z)") */
      offset=(0cm)
      order=0 to 0.5 by 0.1 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=none
      /*label=(font=zapf height=2 "z") */
      order=-4 to 4 by 1 minor=none
      value=(font=zapf height=0.7cm);
symbol1 V=NONE I=JOIN width=2 L=1;
symbol2 V=NONE I=JOIN width=2 L=2;
symbol3 V=NONE I=JOIN width=2 L=33;
symbol4 V=NONE I=JOIN width=2 L=1;
run;
quit;


