/* SAS-Programm Ziegel (Behrens-Fisher) */

data a;
nx=30; ny=35; mwx=4.90; mwy=2.43; sax=6.42; say=4.006; alpha=0.05;
t=(mwx-mwy)/sqrt(sax**2/nx+say**2/ny);
ps=2-2*probnorm(abs(t));
grenzwert=probit(1-alpha/2);
output;
run;
proc print noobs;
run;
/* --------------------------------------------------------

        nx    ny    mwx     mwy     sax     say     alpha       t          ps       grenzwert

        30    35    4.9    2.43    6.42    4.006     0.05    1.82468    0.068049     1.95996

---------------------------------------------------------*/




