/* Zweipunktverteilung Dichte */
%let pgm=S_5; * Name des Programms;

%let g1=0;
%let g2=10;

/* Daten */
data a;
do n=&g1,&g2;
  zweipun=1;
  output;
end;
run;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
goptions colors=(black) aspect=0;
title;
axis1 label=none /*label=(height=2  font=zapf "P(n)")*/
      order=0 to 1 minor=none
      value=(font=swiss height=0.7cm
      'f=0'  font=math height=2cm 'o');
axis2 label=none
      order=-20 to 30 by 10 minor=none
      value=(font=swiss height=0.7cm
      '-20'  '-10'  'g=0' '10' '20' '30');
symbol1 v=none i=needle l=1 w=6;

/* Plot */
proc gplot data=a;
    plot zweipun*n/vaxis=axis1 haxis=axis2;
run;
quit;

