/**************************************************************************
Beispiel von Rawlings 1988 Seite 4
**************************************************************************/
options ls=90 nodate nonumber formdlim=' '; title;
goptions colors=(black);
data a;
input x y;
label x=Ozon [ppm] y=Ausbeute [g/Pflanze]; 
cards;
0.02 242
0.07 237
0.11 231
0.15 201
run;
proc printto file='S_57-Box1.txt' new; 
proc print label; run; 
filename a 'S_57-Fig1.jpg';
filename b 'S_57-Fig2.jpg';
filename c 'S_57-Fig3.jpg';
proc printto file='S_57-Box2.txt' new; 
proc reg data=a; 
  model y=x; run;
  goptions device=jpeg gsfname=a; plot y*x; run;
  goptions device=jpeg gsfname=b; plot y*x/conf; run;
  goptions device=jpeg gsfname=c; plot y*x/pred; run;
quit;


