# Bsp. "Vitamin C" (unbekannte, aber gleiche Varianzen)
#1. Daten und elementare Loesung
Vitamin=c(5.5,6.0,7.0,6.0,7.5,6.0,7.5,5.5,
7.0,6.5)
Placebo=c(6.5,6.0,8.5,7.0,6.5,8.0,7.5,6.5,
7.5,6.0,8.5,7.0)
mu1 = mean(Vitamin)
mu2 = mean(Placebo)
n = length(Vitamin)
m = length(Placebo)
var1 = var(Vitamin)
var2 = var(Placebo)
var = ((n-1)*var1+(m-1)*var2)/(n+m-2)
TS = (mu1-mu2)/sqrt(var*(1/n+1/m))
pWert=2-2*pt(abs(TS),n+m-2)
(data.frame(n,m,mu1,mu2,var,TS,pWert))
#2. Kompakte Loesung
(t.test(x=Vitamin,y=Placebo,paired=FALSE,alter='two.sided',conf.level=0.95,
var.equal=TRUE))
