# Berechnung des beta-Fehlers mit R (im Forellenbeispiel)
#1. Parameter
sigma = 8
alpha = 0.05
mu0 = 260
n=16
mu = c(260,255,252,250)
Fall = c("Rechts","Mitte","Links","-")
#2. elementare Loesung
beta = pnorm(sqrt(n)*(mu-mu0)/sigma - qnorm(alpha))
power = 1 - beta
(Box1 = data.frame(Fall,mu,beta,power))
#3. alternative Loesung mit pwr
library(pwr)
power = pwr.norm.test(d=(mu0-mu)/sigma,n=n,sig=alpha,
alt="greater")$power
beta = 1 - power
(Box2 = data.frame(Fall,mu,beta,power))
