#1. n als Funktion der Mittelwertverschiebung (grafisch)
alpha=0.05
plot(x=NULL,y=NULL,axes=F,xlim=c(0.25,1.75),ylim=c(0,50),
xlab=expression(paste(Delta,mu) / sigma),ylab="n")
box()
ticks1=seq(0.25,1.75,by=0.25)
ticks2=seq(0,50,by=5)
axis(side=1,at=ticks1)
axis(side=2,at=ticks2)
abline(v=ticks1,lwd=1,lty=3)
abline(h=ticks2,lwd=1,lty=3)
P=c(0.9,0.8,0.7)
LTY=c(1,1,1,5)
LWD=c(2,3,4,1)
legend(x="topright",lwd=LWD,lty=LTY,
legend=c(paste("power=",P),"sigma bekannt" ))
legend(x="center",legend= paste("alpha =",alpha))
for (j in 1:3)                                                     {
N=seq(3,50,by=1)
X1=sapply(N,function(n){(qt(1-alpha,n-1)+qt(P[j],n-1))/sqrt(n)})
X2=sapply(N,function(n){(qnorm(1-alpha) +qnorm(P[j])) /sqrt(n)})
lines(X1,N,type="l",lwd=LWD[j],lty=LTY[j])
lines(X2,N,type="l",lwd=LWD[4],lty=LTY[4])                      }
}
