# Beispiel "Stahlhaerte" (mult. Regression und Konfidenzintervalle, Ross 2006 Seite 370)
#1. Datenerfassung
y = c(79.2,64.0,55.7,56.3,58.6,84.3,70.4,61.3,51.3,49.8)
c = c(0.02,0.03,0.03,0.04,0.10,0.15,0.15,0.09,0.13,0.09)
t = c(1.05,1.20,1.25,1.30,1.30,1.00,1.10,1.20,1.40,1.40)
Box1 = data.frame(y,c,t)
#2. Regression
Fit = lm(y ~ c + t,data=Box1)
(Box3 = summary(Fit))
#3. Mittlere Haerte
(Box4 = mean(y))
#4. Eigenschaften einer speziellen Stahlsorte
Box5 = data.frame(c=0.15,t=1.15)
(Box6 = predict(Fit,newdata=Box5,
interval="confidence",level=0.95))
(Box7 = predict(Fit,newdata=Box5,
interval="prediction",level=0.95))
