# Beispiel "Erdbeschleunigung" aus einem physikalischen Praktikum
#1. Datenerfassung
h = rep(c(1,2,4,7,11,14),each=6)
t = c(
0.48,0.37,0.47,0.44,0.46,0.45, 0.46,0.53,0.57,0.57,0.64,0.49,
0.92,0.9, 0.92,0.94,0.96,0.95, 1.19,1.22,1.24,1.24,1.16, 1.2,
1.42,1.45,1.38,1.51,1.50,1.52, 1.6, 1.71,1.75,1.72,1.69,1.66)
a = t*t/2
g = round(digits=3,h/a)
Box1 = data.frame(h,t,a,g)
#2. Regressionsmodell (ohne Absolutglied)
Fit = lm(a ~ h-1, data=Box1)
#3. Scatterplot
plot(h,a,pch=19)
abline(Fit,col="black")
#4. Regressionsanalyse
(Box2 = summary(Fit))
#5. Konfidenzintervall 
confint(Fit)
