# Beispiel Lehrmethoden-Zeugnisnoten
#1. Datenerfassung
Methode = gl(4,8,label=c("I","II","III","IV"))
Punkte=c(16,18,20,15,20,15,23,19,  16,12,10,14,18,15,12,13,
2,10, 9,10,11, 9,10, 9,   5, 8, 8,11, 1, 9, 5, 9)
Box1 = data.frame(Methode,Punkte)
#2. Datenvisualisierung
plot(Box1)
#3. Varianzanalyse mit aov
Fit1 = aov(Punkte~Methode,data=Box1)
(Box2=summary(Fit1))
#4. Diagnoseplots
par(mfrow=c(2,2))
plot(Fit1)
par(mfrow=c(1,1))
#5. Mittelwertvergleiche nach TukeyHSD
TukeyHSD(Fit1)
#6. Varianzanalyse mit anova
Fit2 = lm(Punkte~Methode,data=Box1)
Box3 = anova(Fit2)
#7. Vergleiche zu einer Referenzmethode (hier: I)
library(emmeans)
dunnett.comp <- emmeans(Fit2,trt.vs.ctrl~Methode,data=Box1)
summary(dunnett.comp)
#8. Änderung der Referenzkategorie
levels(Methode)
Methode <- relevel(Methode,ref="III")
levels(Methode)