# Bsp. Materialien-Temperaturen-Lebensdauer
#1. Dateneingabe
LE = c(135,150,176, 85, 50, 55, 64, 38,
150,162,171,120, 76, 88, 91, 57,
138,111,140,106, 68, 60, 74, 51)
TE = rep(gl(2,4,label=c(10,18)),3)
MA = gl(3,8,label=c(1,2,3))
Box1 = data.frame(MA,TE,LE)
#2. Datenvisualisierung
par(mfrow=c(1,2))
plot(LE ~ TE + MA)
par(mfrow=c(1,1))
#3. Varianzanalyse mit aov
Fit1 = aov(LE~MA*TE,data=Box1)
(Box2 = summary(Fit1))
#4. Diagnoseplots
par(mfrow=c(2,2))
plot(Fit1)
par(mfrow=c(1,1))
