# Bsp. "Stoffe-Tage-Festigkeit", RCBD mit und ohne Blockbildung
#1. Dateneingabe
y = c(13,22,18,39,16,24,17,44,5,4,1,22)
a = gl(3,4,label=c(1,2,3))
day = factor(rep(c(1,2,3,4),3))
Box1 = data.frame(y,a,day)
#2. Datenvisualisierung
par(mfrow=c(1,2))
plot(y ~ day + a)
par(mfrow=c(1,1))
#3. Modell ohne Blockvariable day: Geschätzte Mittelwerte pro Gruppe und Varianzanalyse
Fit1 <-lm(y ~ a,data=Box1)
library(emmeans)
emmeans(Fit1, ~a) 
anova(Fit1)
#4. Modell mit Blockvariable day: Geschätzte Mittelwerte pro Gruppe und Varianzanalyse
Fit2 <-lm(y ~ day + a,data=Box1) 
emmeans(Fit2, ~a) 
anova(Fit2)
#4. Eingabedaten mit fehlendem Wert
y[7] = NA
Box4=data.frame(y,a,day)
#5. Varianzanalyse mit Block und fehlendem Wert
(Box5 = anova(lm(y~a+day,data=Box4)))
