# Bsp. Druck-Charge-Ausschuss mit/ohne Blockbildung
#1. Einlesen der Daten
y=c(90.3,92.5,85.5,82.5, 89.2,89.5,90.8,89.5,
98.2,90.6,89.6,85.6, 93.9,94.7,86.2,87.4,
87.4,87.0,88.0,78.9, 97.9,95.8,93.4,90.7)
p = rep(c(8500,8700,8900,9100),6)
C = gl(6,4,label=1:6)
Box1=data.frame(y,p,C)
#2. 2 Boxplots nebeneinander
par(mfrow=c(1,2))
plot(y~factor(p)+factor(C),Box1)
par(mfrow=c(1,1))
#3. aov mit Blockfaktor
Fit3=aov(y~factor(p)+factor(C),data=Box1)
(Box3=summary(Fit3))
#4. aov ohne Blockfaktor
Fit4=aov(y~factor(p),data=Box1)
(Box4=summary(Fit4))
#5. Diagnoseplots
par(mfrow=c(2,2))
plot(Fit3)
