# Zerlegung eines 2**5-Designs in 4 Bloecke mit R-package rsm
#1. Zerlegung k=5, p=2, 4 Blocks, Block Size = 8
W=function(...,n0=0,rand=F){data.frame(cube(n0=n0,rand=rand,...))[,-c(1,2)]}
library(rsm)
Box1 = W( ~ A+B+C+D+E,blockgen = c("A*B*C","C*D*E"),bid=1)
Box2 = W( ~ A+B+C+D+E,blockgen = c("A*B*C","C*D*E"),bid=2)
Box3 = W( ~ A+B+C+D+E,blockgen = c("A*B*C","C*D*E"),bid=3)
Box4 = W( ~ A+B+C+D+E,blockgen = c("A*B*C","C*D*E"),bid=4)
#2. Alternative: Generatoren mit Minuszeichen
Box1a = W( ~ A+B+C+D+E,blockgen = c("-A*B*C","-C*D*E"),bid=1)
Box2a = W( ~ A+B+C+D+E,blockgen = c("-A*B*C","-C*D*E"),bid=2)
Box3a = W( ~ A+B+C+D+E,blockgen = c("-A*B*C","-C*D*E"),bid=3)
Box4a = W( ~ A+B+C+D+E,blockgen = c("-A*B*C","-C*D*E"),bid=4)
