# varfcn-Bsp. CCD, n0=c(8,6)
#1. CCD mit 2**(3-1) Teilplan und n0=(8,6)
library(rsm)
Box1=cube(~x1+x2,x3~x1*x2,n0=8,ran=FALSE)
Box2=star(n0=6,alpha=1.5,ran=FALSE)
Box3=djoin(Box1,Box2)
Box4 = data.frame(Box3)[,-c(1,2)]
#2. Grafiken
varfcn(Box4, ~ Block + SO(x1,x2,x3),main="Box4, n0=(8,6)")
varfcn(Box4, ~ Block + SO(x1,x2,x3), contour = TRUE)
