# Bsp. "4d-Sattel Heli"
#1. Dateneingabe
library(rsm)
(Box1=heli)
Box2=data.frame(Box1)
#2. Regression 2. Odnung
Fit=rsm(ave~block+SO(x1,x2,x3,x4),data=Box1)
(Box3=summary(Fit))
contour(Fit,~x1+x2+x3+x4,
at=list(block="2"),atpos=0,image=TRUE)
persp(Fit,~x1+x2+x3+x4,at=list(block="2"),atpos=0,
contours="col",col=rainbow(40),zlab="Flight time",
xlabs=c("Wing area","Wing length","Body width","Body length"))
#9. steepest (geeignet f?r Modell 1. und 2. Ordnung)
(Box4 = steepest(Fit))
#10. canonical.path (geeignet f?r Modell 2. Ordnung)
(Box5 = canonical.path(Fit, dist = seq(-5, 5, by = 0.5)))
