# Weibullverteilung
# Dateiname: C:\ASuV\ri\051000\05-10-00-04.R
#1. Dichte der Weibullverteilung
x <- seq(0, 2.5, length.out=1000)
plot(x, dweibull(x, .5), type="l", lty=1,
xlab="", ylab="", xlim=c(0, 2.5), ylim=c(0, 2.5),
xaxs="i", yaxs="i")
lines(x, dweibull(x, 1), type="l", lty=2)
lines(x, dweibull(x, 1.5), type="l", lty=3)
lines(x, dweibull(x, 5), type="l", lty=10)
legend("topright", legend=paste("T = 1, k =",
c(.5, 1, 1.5, 5)), lwd=1,
lty=c(1,2,3,10))
#2. Verteilungsfunktion der Weibullverteilung
plot(x, pweibull(x, .5), type="l", lty=1,
xlab="", ylab="", xlim=c(0, 2.5), ylim=c(0, 1),
xaxs="i", yaxs="i")
lines(x, pweibull(x, 1), type="l", lty=2)
lines(x, pweibull(x, 1.5), type="l", lty=3)
lines(x, pweibull(x, 5), type="l", lty=10)
legend("bottomright", legend=paste("T = 1, k =",
c(.5, 1, 1.5, 5)), lwd=1,
lty=c(1,2,3,10))
