# Sequentielle Optimierung bei 3 Variablen, Teil G
#G1. Daten
library(rsm)
Gbox1=ccd(~x1+x2+x3,n0=c(0,2),alpha="orth",rand=FALSE)
Gbox1$y = c(25.6,23.5,26.2,24.7,26.6,26.6,27.3,24.5,
26.0,22.0,26.5,25.9,25.2,27.8,29.3,27.9)
codings(Gbox1)=c(x1~(Mehl-1.25)/.1,
x2~(Zucker-.3)/.1, x3~(Butter-.3)/.1)
Gbox1
Gbox2=data.frame(Gbox1[,-c(1,2)])
#G2. Modell erster Ordnung (Regression)
Gfit=rsm(y~Block+SO(x1,x2,x3),data=Gbox1)
(Gbox3=summary(Gfit))
#G3. Contour-Grafik
contour(Gfit,~x1+x2+x3,at=xs(Gfit),atpos=0,image=TRUE)
