/* Zweipunkt CDF */
%let pgm=S_1; * Name des Programms;

%let g1=0;
%let g2=10;

/* Daten */
data a;
do zweipunk=&g1,&g2;
fb=100000;
output;
end;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
goptions colors=(black) aspect=0;
title;
axis1 label=none
      order=0 to 100 by 50
      value=(font=swiss height=0.7cm
      'F=0' '0.5' 'F=1');
axis2 label=none
      order=-20 to 30 by 10
      value=(font=swiss height=0.7cm
      ' '  ' '  'g=0' '10' '20' '30');
symbol1 V=' ' I=JOIN width=2;

/* Plot */
proc capability data=a noprint;
    freq fb;
    cdf zweipunk / vaxis=axis1 haxis=axis2 nolegend;
run;
quit;
