/* Kontrolle */
data a;
   alpha=0.95; n=5; c1=cinv(alpha,n); p1=probchi(c1,n);
   output; run;
*proc print; run;

options ls=130;
proc printto file='S_27-.lst';
%let m=15;
data quantil(keep=text x1-x&m);
  length text $ 20;
  array alpha(&m) _temporary_
    (0.005,0.010,0.015,0.020,0.025,0.050,0.900,0.950,0.960,0.970,0.975,0.980,0.985,0.990,0.995);
    *(0.2,0.1,0.05,0.02,0.01,0.005,0.002,0.001);
  array x(&m) x1-x&m;
  format x1-x&m 6.3;
  do i=1 to &m; x(i)=alpha(i); end; text='p='; output;
  /*
  do i=1 to &m; x(i)=1-alpha(i); end; text='1-alpha:'; output;
  do i=1 to &m; x(i)=alpha(i)/2; end; text='alpha/2:'; output;
  do i=1 to &m; x(i)=1-alpha(i)/2; end; text='1-alpha/2:'; output;
  */
  do n=1 to 30; /*,40,50,100,200;*/
    text='n='!!compress(put(n,3.))!!':';
    do i=1 to &m; x(i)= cinv(alpha(i),n); end;
    output;
  end;
run;
proc print data=quantil noobs ;
run;
quit;
