/* Tabelle Quantile der t-Verteilung */
*options ls=150;
proc printto file='S_29-.lst';
%let m=5;
data quantil(keep=text x1-x&m);
  length text $ 20;
  array p(&m) _temporary_ (0.9,0.95,0.975,0.99,0.995);
  array x(&m) x1-x&m;
  format x1-x&m 8.4;
  do i=1 to &m; x(i)=p(i); end; text='p='; output;
  *do n=1 to 30,40,50,100,200;
  do n=1 to 30,40 to 100 by 10,150,200 to 1000 by 200;
    text='n='!!compress(put(n,3.))!!':';
    do i=1 to &m; x(i)=tinv(p(i),n); end;
    output;
  end;
run;
proc print data=quantil noobs ;
run;
quit;
