
options ls=130 ps=200;
proc printto file='S_34-.lst' new;
%let t=15;
data quantil(keep=text x1-x&t);
  length text $ 20;
  array m(&t) _temporary_
  (1,2,3,4,5,6,7,8,9,10,12,15,20,25,30);  
  array x(&t) x1-x&t;
  format x1-x&t best6.2;
  do p=0.95, 0.99;
    do i=1 to &t; x(i)=m(i); 
    end; 
    text='m='; output;
    do n=1 to 30,40,50,60,80,100,200; /*,40,50,100,200;*/
      text='n='!!compress(put(n,3.))!!':';
      do i=1 to &t; 
        x(i)= finv(p,m(i),n); 
      end;
      output;
    end;
  end;
run;
proc print data=quantil noobs ;
run;
quit;
