/* SAS-Programm Zuckerpakete */
/* test (Duerr 1987, Beispiel 11.8 Seite 157) */

data _null_;
  mu0=1000;
  n=20;
  sigma=15;
  mw=993.5;
  T=sqrt(n)*(mw-mu0)/sigma;
  pWert=1-probnorm(-T);
  alpha=0.05;
  Tlimit=-probit(1-alpha);
  put mu0= n= sigma= mw=;
  put T= pWert=;
  put alpha= Tlimit=;
run;
/* Ergebnis im SAS-Log:
mu0=1000 n=20 sigma=15 mw=993.5 
T=-1.93792558 pWert=0.0263161513
alpha=0.05 Tlimit=-1.644853627
*/
