/* Forellenbeispiel */

/* 1. Daten */
data d1; pi=3.1415926; s=2;
m=252;
i=1; do x=250 to 256.7 by  0.1; link gauss; output; end; *vorwrts;
     do x=256.7 to 250 by -0.1; y=0;         output; end; *zurck;
i=2; do x=256.7 to 265 by  0.1; link gauss; output; end; *vorwrts;
     do x=265 to 256.7 by -0.1; y=0;        output; end; *zurck;
m=255;
i=3; do x=250 to 256.7 by  0.1; link gauss; output; end; *vorwrts;
     do x=256.7 to 250 by -0.1; y=0;        output; end; *zurck;
i=4; do x=256.7 to 265 by  0.1; link gauss; output; end; *vorwrts;
     do x=265 to 256.7 by -0.1; y=0;        output; end; *zurck;
m=260;
i=5; do x=250 to 256.7 by  0.1; link gauss; output; end; *vorwrts;
     do x=256.7 to 250 by -0.1; y=0;        output; end; *zurck;
i=6; do x=256.7 to 265 by  0.1; link gauss; output; end; *vorwrts;
     do x=265 to 256.7 by -0.1; y=0;        output; end; *zurck;
gauss: y=1/sqrt(2*pi*s**2)*exp(-(x-m)**2/(2*s**2)); return;
run;
/* proc print data=d1; run; */

/* 2. Grafische Optionen */
filename ff1 'S_50-.jpg';
goptions device=jpeg gsfname=ff1;
goptions colors=(black);
title;
axis1 label=(angle=90 "Dichte")
      order=0 to 0.2 by 0.1 minor=none value=none;
axis2 label=("Gewicht")
      order=250 to 265 by 5 minor=none
      value=('250' '255' '260' '265');
symbol1 V=' ' I=JOIN width=1;
symbol2 V=' ' I=M3N090 width=1;
symbol3 V=' ' I=JOIN width=1;
symbol4 V=' ' I=M3N0 width=1;
symbol5 V=' ' I=M3N030 width=1;
symbol6 V=' ' I=JOIN width=1;

/* 3. Plot */
proc gplot data=d1;
plot y*x=i/vaxis=axis1 haxis=axis2 href=252 255 256.7 260 lhref=20 nolegend; 
run;
quit;
