/*********************************************************************************************
Beispiel aus dem physikalischen Praktikum (www.stat4u.at/download/1424/Regreges.pdf)
*********************************************************************************************/
options ls=80 nodate nonumber formdlim=' '; 
title;
data a; 
  input h zeit1-zeit6;
  * label h='h=Fallhoehe' zeit1=Fallzeit1;
datalines;
1  0.48  0.37  0.47  0.44  0.46  0.45
2  0.46  0.53  0.57  0.57  0.64  0.49
4  0.92  0.9   0.92  0.94  0.96  0.95
7  1.19  1.22  1.24  1.24  1.16  1.2
11 1.42  1.45  1.38  1.51  1.50  1.52
14 1.6   1.71  1.75  1.72  1.69  1.66  
run;
data b;
  array zeit(6);
  keep h t g a;
  set a;
  do i=1 to 6; 
     t=zeit(i); 
     a=t*t/2;
     g=h/a;
     output; 
  end;
run;
proc printto file='S_60-daten.lst' new; 
proc print data=b label; run; 

proc printto file='S_60-regnoint.lst' new; 
proc reg data=b; NOINT: model h=a/noint; 
run;
quit;
