/**********************************************************
 Beispiel aus der Physikgeschichte (Weisberg 1985 Seite 3
**********************************************************/
options ls=90 nodate nonumber formdlim=' '; title;
data a; 
input case x1 y1; y2=log10(y1);
x2=(x1-32)*5/9;
label case=Versuch x1='x1=Siedepunkt [Grad F]' y1='y1=Druck [Hg]' y2='y2=lg(Druck)'
      x2='x2=Siedepunkt [Grad C]';
datalines;
    1   194.5   20.79
    2   194.3   20.79
    3   197.9   22.40
    4   198.4   22.67
    5   199.4   23.15
    6   199.9   23.35
    7   200.9   23.89
    8   201.1   23.99
    9   201.4   24.02
   10   201.3   24.01
   11   203.6   25.14
   12   204.6   26.57
   13   209.5   28.49
   14   208.6   27.76
   15   210.7   29.04
   16   211.9   29.88
   17   212.2   30.06
run;
/* proc printto file='S_58-input.lst' new; proc print label; run; */
proc printto file='S_58-regroh.lst' new; proc reg data=a; Roh: model y1=x1; run;
proc printto file='S_58-reglin.lst' new; proc reg data=a; Log: model y2=x2; output out=b r=r; run;
proc printto file='S_58-daten.lst' new; proc print data=b label noobs; var case x1 x2 y1 y2 r; label r='Residuen'; run;


